---
title: Create new saved logo queries from image files
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Brand Protection](https://developers.cloudflare.com/api/python/resources/brand_protection)

[Logos](https://developers.cloudflare.com/api/python/resources/brand_protection/subresources/logos)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create new saved logo queries from image files

brand\_protection.logos.create(LogoCreateParams\*\*kwargs) -> [LogoCreateResponse](<https://developers.cloudflare.com/api/python/resources/brand_protection#(resource)%20brand_protection.logos%20%3E%20(model)%20logo_create_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/brand-protection/logos

Return new saved logo queries created from image files

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Intel Write`

##### ParametersExpand Collapse

account\_id: str

minLength1

[Link to this property](<#(resource)%20brand_protection.logos%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

match\_type: Optional\[str]

[Link to this property](<#(resource)%20brand_protection.logos%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20match_type%20%3E%20(schema)>)

tag: Optional\[str]

[Link to this property](<#(resource)%20brand_protection.logos%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20tag%20%3E%20(schema)>)

threshold: Optional\[float]

[Link to this property](<#(resource)%20brand_protection.logos%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20threshold%20%3E%20(schema)>)

image: Optional\[[FileTypes](<https://developers.cloudflare.com/api/python/resources/brand_protection/subresources/logos/methods/create#(resource)%20brand_protection.logos%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20image%20%3E%20(schema)>)]

[Link to this property](<#(resource)%20brand_protection.logos%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20image%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class LogoCreateResponse: …

</summary>

id: Optional\[int]

<a href="#(resource)%20brand_protection.logos%20%3E%20(model)%20logo_create_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

tag: Optional\[str]

<a href="#(resource)%20brand_protection.logos%20%3E%20(model)%20logo_create_response%20%3E%20(schema)%20%3E%20(property)%20tag">Link to this property</a>

upload\_path: Optional\[str]

<a href="#(resource)%20brand_protection.logos%20%3E%20(model)%20logo_create_response%20%3E%20(schema)%20%3E%20(property)%20upload_path">Link to this property</a>

</details>

[Link to this property](<#(resource)%20brand_protection.logos%20%3E%20(model)%20logo_create_response%20%3E%20(schema)>)

### Create new saved logo queries from image files

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
logo = client.brand_protection.logos.create(
    account_id="x",
)
print(logo.id)
```

200 example

```
{
  "id": 0,
  "tag": "tag",
  "upload_path": "upload_path"
}
```

##### Returns Examples

200 example

```
{
  "id": 0,
  "tag": "tag",
  "upload_path": "upload_path"
}
```